path: /build/build/luajson-dev-lua-1.3.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-lua/luajson -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-lua/luajson
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/luajson && luet-portage --dir /pkgdir/luajson
    dev-lua/luajson && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3f78bf16e56bc1a68f3951225fed8d7b72ad0c8e78b2c9b927ac72cfc68723be
  package:
    name: luajson
    version: 1.3.3
    category: dev-lua
    use_flags:
    - -test
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: JSON Parser/Constructor for Lua
    uri:
    - https://www.eharning.us/wiki/luajson/
    license: MIT
    buildtimestamp: 2023-08-24 21:13:55.368750346 +0000 UTC m=+70.134649010
    labels:
      DEPEND: test? ( dev-lua/luafilesystem )
      IUSE: test
      RDEPEND: '|| ( >=dev-lang/lua-5.1 dev-lang/luajit:2 ) dev-lua/lpeg'
      emerge.packages: dev-lua/luajson
      kit: lang-kit
      original.package.name: dev-lua/luajson
      original.package.slot: "0"
      original.package.version: 1.3.3
    treedir: /build/packages
  package_dir: /pkgdir/luajson
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8e937373ad40d2c6c40043772bccc14bcce51c72fa3c11158c8da03cd19e39c2
compressiontype: zstd
files:
- usr/share/doc/luajson-1.3.3/LuaJSON.txt.bz2
- usr/share/doc/luajson-1.3.3/README.bz2
- usr/share/doc/luajson-1.3.3/ReleaseNotes-1.3.3.txt.bz2
- usr/share/lua/5.1/json/decode/composite.lua
- usr/share/lua/5.1/json/decode/number.lua
- usr/share/lua/5.1/json/decode/others.lua
- usr/share/lua/5.1/json/decode/state.lua
- usr/share/lua/5.1/json/decode/strings.lua
- usr/share/lua/5.1/json/decode/util.lua
- usr/share/lua/5.1/json/decode.lua
- usr/share/lua/5.1/json/encode/array.lua
- usr/share/lua/5.1/json/encode/calls.lua
- usr/share/lua/5.1/json/encode/number.lua
- usr/share/lua/5.1/json/encode/object.lua
- usr/share/lua/5.1/json/encode/others.lua
- usr/share/lua/5.1/json/encode/output.lua
- usr/share/lua/5.1/json/encode/output_utility.lua
- usr/share/lua/5.1/json/encode/strings.lua
- usr/share/lua/5.1/json/encode.lua
- usr/share/lua/5.1/json/util.lua
- usr/share/lua/5.1/json.lua
- var/db/pkg/dev-lua/luajson-1.3.3/BUILD_TIME
- var/db/pkg/dev-lua/luajson-1.3.3/CATEGORY
- var/db/pkg/dev-lua/luajson-1.3.3/CBUILD
- var/db/pkg/dev-lua/luajson-1.3.3/CFLAGS
- var/db/pkg/dev-lua/luajson-1.3.3/CHOST
- var/db/pkg/dev-lua/luajson-1.3.3/CONTENTS
- var/db/pkg/dev-lua/luajson-1.3.3/COUNTER
- var/db/pkg/dev-lua/luajson-1.3.3/CXXFLAGS
- var/db/pkg/dev-lua/luajson-1.3.3/DEFINED_PHASES
- var/db/pkg/dev-lua/luajson-1.3.3/DESCRIPTION
- var/db/pkg/dev-lua/luajson-1.3.3/EAPI
- var/db/pkg/dev-lua/luajson-1.3.3/FEATURES
- var/db/pkg/dev-lua/luajson-1.3.3/HOMEPAGE
- var/db/pkg/dev-lua/luajson-1.3.3/IUSE
- var/db/pkg/dev-lua/luajson-1.3.3/IUSE_EFFECTIVE
- var/db/pkg/dev-lua/luajson-1.3.3/KEYWORDS
- var/db/pkg/dev-lua/luajson-1.3.3/LDFLAGS
- var/db/pkg/dev-lua/luajson-1.3.3/LICENSE
- var/db/pkg/dev-lua/luajson-1.3.3/PF
- var/db/pkg/dev-lua/luajson-1.3.3/RDEPEND
- var/db/pkg/dev-lua/luajson-1.3.3/RESTRICT
- var/db/pkg/dev-lua/luajson-1.3.3/SIZE
- var/db/pkg/dev-lua/luajson-1.3.3/SLOT
- var/db/pkg/dev-lua/luajson-1.3.3/USE
- var/db/pkg/dev-lua/luajson-1.3.3/environment.bz2
- var/db/pkg/dev-lua/luajson-1.3.3/luajson-1.3.3.ebuild
- var/db/pkg/dev-lua/luajson-1.3.3/repository
package_cacheimage: ""
runtime:
  name: luajson
  version: 1.3.3
  category: dev-lua
  use_flags:
  - -test
  requires:
  - name: lpeg
    version: '>=0'
    category: dev-lua
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: JSON Parser/Constructor for Lua
  uri:
  - https://www.eharning.us/wiki/luajson/
  license: MIT
  labels:
    DEPEND: test? ( dev-lua/luafilesystem )
    IUSE: test
    RDEPEND: '|| ( >=dev-lang/lua-5.1 dev-lang/luajit:2 ) dev-lua/lpeg'
    emerge.packages: dev-lua/luajson
    kit: lang-kit
    original.package.name: dev-lua/luajson
    original.package.slot: "0"
    original.package.version: 1.3.3
